package com.bpcl.lpg.core.service;

import org.springframework.web.multipart.MultipartFile;
import com.bpcl.lpg.core.model.LpgSafetyInspectionModel;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.bpcl.lpg.facades.safetyInspection.data.SafetyInspectionRequestData;

public interface BPCLSafetyInspectionService
{
    boolean validMobileNumber(final String p0);
    
    void populateRequestData(final SafetyInspectionRequestData p0);
    
    String getRequestJsonForsafetyInspection(final SafetyInspectionRequestData p0) throws JsonProcessingException;
    
    LpgSafetyInspectionModel isInspectionDetailsExist(final String p0, final String p1, final String p2, final String p3);
    
    String uploadSafetyInspectionImage(final MultipartFile p0, final String p1);
}
